import sys, time, string
import calclib
from calclib import atodms, deg, diff

TICS=8.0

data = calclib.load_track(sys.argv[1])

lamax=lomax=-180
lamin=lomin=180

# echtes minmax suchen
for line in data:
	(date, lat, lon, alt) = string.split(string.strip(line),"\t")
	lo2, la2 =deg(atodms(lon)), deg(atodms(lat))

	lamax=max(lamax,la2)
	lamin=min(lamin,la2)
	lomax=max(lomax,lo2)
	lomin=min(lomin,lo2)

delta = (lomax-lomin)/TICS

lamin=lamin-0.5*delta
lamax=lamax+0.5*delta
lomin=lomin-0.5*delta
lomax=lomax+0.5*delta

# abmessungen

dla = diff(lomin,lamin,lomin,lamax)
dlo = diff(lomin,lamin,lomax,lamin)

# eine dimension anpassen, damit's rechteckig wird
if dla<dlo:
	while dla<dlo:
		DELTA=dlo/dla/500
		lamin=lamin-lamin*DELTA
		lamax=lamax+lamin*DELTA
		dla = diff(lomin,lamin,lomin,lamax)
else:
	while dla>dlo:
		DELTA=dla/dlo/500
		lomin=lomin-lomin*DELTA
		lomax=lomax+lomax*DELTA
		dlo = diff(lomin,lamin,lomax,lamin)

delta=(lomax-lomin)/TICS

print "%f %f %f %f %f %f %f %2.1f %f %f %2.1f"%(
  lamin, lamax, lomin, lomax, 
  lomin+delta, lomin+2*delta, lamin+delta, diff(lomin, lamin, lomax, lamin)/(TICS),
  (lamax-lamin)/TICS, (lomax-lomin)/TICS, diff(lomin,lamin,lomin,lamax)/(TICS))
